# Uses of Class
org.apache.lucene.backward_codecs.compressing.Compressor

Packages that use Compressor
Package
Description
org.apache.lucene.backward_codecs.compressing
Compressing helper classes.
org.apache.lucene.backward_codecs.lucene87
Lucene 8.7 file format.

- ## Uses of Compressor in org.apache.lucene.backward_codecs.compressing

  Methods in org.apache.lucene.backward_codecs.compressing that return Compressor
  Modifier and Type
  Method
  Description
  `abstract Compressor`
  CompressionMode.`newCompressor()`
  Create a new `Compressor` instance.

- ## Uses of Compressor in org.apache.lucene.backward_codecs.lucene87

  Methods in org.apache.lucene.backward_codecs.lucene87 that return Compressor
  Modifier and Type
  Method
  Description
  `Compressor`
  DeflateWithPresetDictCompressionMode.`newCompressor()`
  `Compressor`
  LZ4WithPresetDictCompressionMode.`newCompressor()`